Guides
Get started with Google SERP API
Start using Bright Data’s Google SERP API in 3 steps: Sign in, create a SERP zone, get your API key, and begin collecting Google search data.
Was this page helpful?
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Start using Bright Data’s Google SERP API in 3 steps: Sign in, create a SERP zone, get your API key, and begin collecting Google search data.
curl -X POST https://api.brightdata.com/request \
--header "Content-Type: application/json" \
--header "Authorization: Bearer API_KEY" \
--data '{
"zone": "serp_api1",
"url": "https://www.google.com/search?q=pizza",
"format": "raw"
}'
(async () => {
const response = await fetch('https://api.brightdata.com/request', {
method: 'POST',
headers: {
'Content-Type': 'application/json',
'Authorization': 'Bearer API_KEY'
},
body: JSON.stringify({
zone: 'serp_api1',
url: 'https://www.google.com/search?q=pizza',
format: 'raw'
})
});
const data = await response.text();
console.log(data);
})();
import requests
# API Configuration
headers = {
'Content-Type': 'application/json',
'Authorization': 'Bearer API_KEY',
}
payload = {
'zone': 'serp_api1',
'url': 'https://www.google.com/search?q=pizza',
'format': 'raw'
}
# Make the request
response = requests.post(
'https://api.brightdata.com/request',
json=payload,
headers=headers
)
print(response.text)
Was this page helpful?